Skip to main content
GET
/
orders
curl -H "Authorization: Bearer cw_ext_your_key" \
  "https://app.chainwire.org/api/external-api/v1/orders?limit=50&offset=0"
{
  "data": [
    {
      "id": 123,
      "press_release_title": "Chainwire Launches New Feature",
      "order_status": "finished",
      "distribution_date_utc": "2026-01-15 10:00:00",
      "created_at": "2026-01-14 08:00:00"
    }
  ],
  "total": 42,
  "limit": 50,
  "offset": 0
}
Fetches all orders for all members of your organization. Supports pagination and optional status filtering. Orders are returned sorted by created_at descending.

Authorization

Authorization
string
required
Bearer token. Example: Bearer cw_ext_your_api_key_here

Query Parameters

limit
integer
default:"50"
The maximum number of orders to return. Minimum: 1, Maximum: 200.
offset
integer
default:"0"
The number of orders to skip before starting to collect the result set.
status
string
default:"all"
Filter orders by their current status.
ValueDescription
allAll orders (default)
finishedFully distributed orders
processingOrders currently publishing or in publishing_ended state

Response

total
integer
The total number of orders matching the query (before pagination).
limit
integer
The limit applied to this response.
offset
integer
The offset applied to this response.
data
array
curl -H "Authorization: Bearer cw_ext_your_key" \
  "https://app.chainwire.org/api/external-api/v1/orders?limit=50&offset=0"
{
  "data": [
    {
      "id": 123,
      "press_release_title": "Chainwire Launches New Feature",
      "order_status": "finished",
      "distribution_date_utc": "2026-01-15 10:00:00",
      "created_at": "2026-01-14 08:00:00"
    }
  ],
  "total": 42,
  "limit": 50,
  "offset": 0
}